Skip to main content
GET
/
v1
/
products
Error
A valid request URL is required to generate request examples
{
  "data": [
    {
      "id": "<string>",
      "createdAt": "<string>",
      "updatedAt": "<string>",
      "code": "<string>",
      "ncmCode": {},
      "name": "<string>",
      "active": true,
      "hasManyColors": true,
      "hasManySizes": true,
      "wholesalePrice": 123,
      "retailPrice": 123,
      "description": "<string>",
      "resume": "<string>",
      "availableForPreOrder": true,
      "preOrderMinimumProduct": 123,
      "preOrderMinimumItem": 123,
      "integrationCode": "<string>",
      "preOrderMultipleProduct": 123,
      "preOrderMultipleItem": 123,
      "readyForDeliveryMultipleProduct": 123,
      "readyForDeliveryMultipleItem": 123,
      "collection": {
        "id": "<string>",
        "createdAt": "<string>",
        "updatedAt": "<string>",
        "code": "<string>",
        "name": "<string>"
      },
      "category": {
        "id": "<string>",
        "createdAt": "2023-11-07T05:31:56Z",
        "updatedAt": "2023-11-07T05:31:56Z",
        "name": "<string>",
        "code": "<string>",
        "imageUrl": "<string>",
        "uniqueSequential": 123,
        "classification": "<string>"
      },
      "colors": [
        {
          "id": "<string>",
          "createdAt": "<string>",
          "updatedAt": "<string>",
          "code": "<string>",
          "name": "<string>",
          "isImage": true,
          "unique": true,
          "active": true,
          "imageUrl": "<string>",
          "hexcode": "<string>",
          "productColorCode": "<string>",
          "customized": true,
          "allowChangePreOrderGrid": "<string>",
          "allowChangeImmediateGrid": "<string>",
          "allowPackPartialApplyInPreOrder": true,
          "allowPackPartialApplyInImmediate": true,
          "color": {
            "id": "<string>",
            "createdAt": "<string>",
            "updatedAt": "<string>",
            "code": "<string>",
            "name": "<string>",
            "isImage": true,
            "unique": true,
            "active": true,
            "imageUrl": "<string>",
            "hexcode": "<string>",
            "integrationCode": "<string>"
          }
        }
      ],
      "referenceCode": "<string>"
    }
  ],
  "nextCursor": "<string>"
}

Authorizations

x-api-key
string
header
required

unique identifier access key. each brand has it own unique key.

Query Parameters

limit
number
default:10

pagination: limit of entities returned by query

Required range: x <= 50
cursorId
string

pagination: it is necessary to pass cursorId = null in the first call

active
boolean

Response

products pagination

data
object[]
required
nextCursor
string | null

when the field is null, it means that pagination has ended